org.keycloak.services.resources.admin

## Class IdentityProvidersResource

- java.lang.Object
- - org.keycloak.services.resources.admin.IdentityProvidersResource

-     public class IdentityProvidersResource
      extends Object

  Author:
    Pedro Igor

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IdentityProvidersResource(RealmModel realm, KeycloakSession session, RealmAuth auth)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.ws.rs.core.Response` | `create(javax.ws.rs.core.UriInfo uriInfo, IdentityProviderRepresentation representation)`
    `IdentityProviderResource` | `getIdentityProvider(String alias)`
    `List<IdentityProviderRepresentation>` | `getIdentityProviders()`
    `javax.ws.rs.core.Response` | `getIdentityProviders(String providerId)`
    `Map<String,String>` | `importFrom(javax.ws.rs.core.UriInfo uriInfo, Map<String,Object> data)`
    `Map<String,String>` | `importFrom(javax.ws.rs.core.UriInfo uriInfo, org.jboss.resteasy.plugins.providers.multipart.MultipartFormDataInput input)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IdentityProvidersResource

          public IdentityProvidersResource(RealmModel realm,
                                   KeycloakSession session,
                                   RealmAuth auth)

  - ### Method Detail

    - #### getIdentityProviders

          @Path(value="/providers/{provider_id}")
          @GET
          @Produces(value="application/json")
          public javax.ws.rs.core.Response getIdentityProviders(@PathParam(value="provider_id")
                                                                         String providerId)

    - #### importFrom

          @POST
          @Path(value="import-config")
          @Consumes(value="multipart/form-data")
          @Produces(value="application/json")
          public Map<String,String> importFrom(@Context
                                                                  javax.ws.rs.core.UriInfo uriInfo,
                                                                  org.jboss.resteasy.plugins.providers.multipart.MultipartFormDataInput input)
                                        throws IOException

      Throws:
        `IOException`

    - #### importFrom

          @POST
          @Path(value="import-config")
          @Consumes(value="application/json")
          @Produces(value="application/json")
          public Map<String,String> importFrom(@Context
                                                                  javax.ws.rs.core.UriInfo uriInfo,
                                                                  Map<String,Object> data)
                                        throws IOException

      Throws:
        `IOException`

    - #### getIdentityProviders

          @GET
          @Path(value="instances")
          @Produces(value="application/json")
          public List<IdentityProviderRepresentation> getIdentityProviders()

    - #### create

          @POST
          @Path(value="instances")
          @Consumes(value="application/json")
          public javax.ws.rs.core.Response create(@Context
                                                            javax.ws.rs.core.UriInfo uriInfo,
                                                            IdentityProviderRepresentation representation)

    - #### getIdentityProvider

          @Path(value="instances/{alias}")
          public IdentityProviderResource getIdentityProvider(@PathParam(value="alias")
                                                          String alias)

Copyright © 2015. All rights reserved.